---
inputType: "CA10A1__CaAwsSageMakerNotebookInstance__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10A1__CaAwsSageMakerNotebookInstance__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The SageMaker Notebook Instance is not in service."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10A1__status__c"
        right:
          TEXT: "InService"
  - status: "INCOMPLIANT"
    currentStateMessage: "The SageMaker Notebook Instance is not encrypted with a Customer-Managed KMS Key."
    remediationMessage: "Configure the SageMaker Notebook Instance to use a Customer-Managed KMS Key for encryption."
    check:
      IS_EMPTY:
        arg:
          EXTRACT: "CA10A1__kmsKeyId__c"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The SageMaker Notebook Instance is encrypted with a Customer-Managed KMS Key."